<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.spring.domain.post.mapper.PostMapper">
    <insert id="save">
        insert
          into app_post (content, title)
        values (#{post.content}, #{post.title})
    </insert>

    <select id="findAll" resultType="Post">
        select * from app_post;
    </select>
</mapper>